@use "../theme";
@use "../mixins";

.bar-chart {
    display: flex;
    flex-direction: column;
    margin-bottom: theme.$spacing02;

    h3 {
        font-size: theme.$fontSizeSmall;
    }

    &__progress {
        background-color: theme.$colorPaletteGray200;

        &__bar {
            background-color: theme.$colorBrand;
            position: relative;
            height: 1.5rem;
            font-size: theme.$fontSizeSmall;

            &__percentage {
                position: absolute;
                bottom: -1px;
                right: -33px;
                font-weight: theme.$fontWeightBold;
                padding: 1px 4px;
                font-size: theme.$fontSizeXSmall;
            }
        }
    }

    &__labels {
        display: flex;
        justify-content: space-between;
        font-size: theme.$fontSizeSmall;
    }
}
